#ifndef MOF_PIXEL_TEXTURE_BUILDER_HPP
#define MOF_PIXEL_TEXTURE_BUILDER_HPP

#include "mof/private/TextureBuilder.hpp"
#include "mof/tstring.hpp"
#include <memory>
#include "mof/PixelMap.hpp"

namespace mof{

	class PixelMapTextureBuilder : public TextureBuilder
	{
		std::shared_ptr<mof::PixelMap> m_pPixelMap;
	public:
		PixelMapTextureBuilder( const std::shared_ptr<mof::PixelMap>& pPixelMap);
		virtual ~PixelMapTextureBuilder();
		virtual LPDIRECT3DTEXTURE9 create();
	};


};

#endif